import sys,getopt
import os
import re
import fileinput

def usage():
	print(
		"""
Usage: python select_small_variants_supported_by_all_callsets.py -i input_merged_vcf_file -o prefix

This script selects SNPs and Indels supported by all callsets.

Input:
-i a merged vcf file

Output:
-o  a vcf file containd the selected SNPs and Indels
		""")

# select supported small variants
def process(oneLine):
	m = re.match('^\#',oneLine)
	if m is not None:
		outVCF.write(oneLine)
		OUTname.write(oneLine)
	else:
		line = oneLine.rstrip()
		strings = line.strip().split('\t')
		gt = [i.split(':', 1)[0] for i in strings[9:len(strings)]]
		if all(e == gt[0] for e in gt) and (gt[0] != '.'):
			# output the record to vcf
			outVCF.write(oneLine)
		else:
			OUTname.write(oneLine)


opts,args = getopt.getopt(sys.argv[1:],"hi:o:")
for op,value in opts:
	if op == "-i":
		inputFile=value
	elif op == "-o":
		prefix=value	
	elif op == "-h":
		usage()
		sys.exit()

if len(sys.argv[1:]) < 3:
	usage()
	sys.exit()

VCFname = prefix + '.vcf'
OUTname = prefix + '_outlier.vcf'

outVCF = open(VCFname,'w')
OUTname = open(OUTname,'w')

for line in fileinput.input(inputFile):
	process(line)

outVCF.close()
OUTname.close()

