task mergeVCF {
	Array[File] snv_true_vcf
	Array[File] snv_true_vcf_index
	Array[File] snv_false_vcf
	Array[File] snv_false_vcf_index
	Array[File] snv_remain_vcf
	Array[File] snv_remain_vcf_index
	Array[File] snv_padding_vcf
	Array[File] snv_padding_vcf_index

	Array[File] indel_true_vcf
	Array[File] indel_true_vcf_index
	Array[File] indel_false_vcf
	Array[File] indel_false_vcf_index
	Array[File] indel_remain_vcf
	Array[File] indel_remain_vcf_index 
	Array[File] indel_padding_vcf
	Array[File] indel_padding_vcf_index

	String quartet_sample
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		rtg vcfmerge --force-merge-all --no-gzip -o ${quartet_sample}.snv.true.vcf.gz ${sep=" " snv_true_vcf}

		rtg vcfmerge --force-merge-all --no-gzip -o ${quartet_sample}.snv.false.vcf.gz ${sep=" " snv_false_vcf}

		rtg vcfmerge --force-merge-all --no-gzip -o ${quartet_sample}.snv.remain.vcf.gz ${sep=" " snv_remain_vcf}

		rtg vcfmerge --force-merge-all --no-gzip -o ${quartet_sample}.snv.padding.vcf.gz ${sep=" " snv_padding_vcf}

		rtg vcfmerge --force-merge-all --no-gzip -o ${quartet_sample}.indel.true.vcf.gz ${sep=" " indel_true_vcf}

		rtg vcfmerge --force-merge-all --no-gzip -o ${quartet_sample}.indel.false.vcf.gz ${sep=" " indel_false_vcf}

		rtg vcfmerge --force-merge-all --no-gzip -o ${quartet_sample}.indel.remain.vcf.gz ${sep=" " indel_remain_vcf}

		rtg vcfmerge --force-merge-all --no-gzip -o ${quartet_sample}.indel.padding.vcf.gz ${sep=" " indel_padding_vcf}
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File merged_snv_true = "${quartet_sample}.snv.true.vcf.gz"
		File merged_snv_false = "${quartet_sample}.snv.false.vcf.gz"
		File merged_snv_remain = "${quartet_sample}.snv.remain.vcf.gz"
		File merged_snv_padding = "${quartet_sample}.snv.padding.vcf.gz"
		File merged_indel_true = "${quartet_sample}.indel.true.vcf.gz"
		File merged_indel_false = "${quartet_sample}.indel.false.vcf.gz"
		File merged_indel_remain = "${quartet_sample}.indel.remain.vcf.gz"
		File merged_indel_padding = "${quartet_sample}.indel.padding.vcf.gz"
	}

}